org.wildfly.swarm.config.elytron

## Class HTTPAuthenticationFactory<T extends HTTPAuthenticationFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.HTTPAuthenticationFactory<T>

-     public class HTTPAuthenticationFactory<T extends HTTPAuthenticationFactory<T>>
      extends Object

  Resource containing the association of a SecurityDomain with a HttpServerAuthenticationMechanismFactory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPAuthenticationFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The HTTP mechanisms available from this configuration after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The HTTP mechanisms available from this configuration after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The HTTP mechanisms available from this configuration after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The HTTP mechanisms available from this configuration after all filtering has been applied.
    `String` | `getKey()`
    `String` | `httpServerMechanismFactory()` The HttpServerAuthenticationMechanismFactory to associate with this resource
    `T` | `httpServerMechanismFactory(String value)` The HttpServerAuthenticationMechanismFactory to associate with this resource
    `T` | `mechanismConfiguration(Map value)` Mechanism specific configuration
    `List<Map>` | `mechanismConfigurations()` Mechanism specific configuration
    `T` | `mechanismConfigurations(List<Map> value)` Mechanism specific configuration
    `T` | `mechanismConfigurations(Map... args)` Mechanism specific configuration
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityDomain()` The SecurityDomain to associate with this resource
    `T` | `securityDomain(String value)` The SecurityDomain to associate with this resource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPAuthenticationFactory

          public HTTPAuthenticationFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The HTTP mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The HTTP mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The HTTP mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The HTTP mechanisms available from this configuration after all filtering has been applied.

    - #### httpServerMechanismFactory

          public String httpServerMechanismFactory()

      The HttpServerAuthenticationMechanismFactory to associate with this resource

    - #### httpServerMechanismFactory

          public T httpServerMechanismFactory(String value)

      The HttpServerAuthenticationMechanismFactory to associate with this resource

    - #### mechanismConfigurations

          public List<Map> mechanismConfigurations()

      Mechanism specific configuration

    - #### mechanismConfigurations

          public T mechanismConfigurations(List<Map> value)

      Mechanism specific configuration

    - #### mechanismConfiguration

          public T mechanismConfiguration(Map value)

      Mechanism specific configuration

    - #### mechanismConfigurations

          public T mechanismConfigurations(Map... args)

      Mechanism specific configuration

    - #### securityDomain

          public String securityDomain()

      The SecurityDomain to associate with this resource

    - #### securityDomain

          public T securityDomain(String value)

      The SecurityDomain to associate with this resource

Copyright © 2017 JBoss by Red Hat. All rights reserved.